Results 1 to 3 of 3

Thread: I built source code succefully, but

  1. #1
    Join Date
    Aug 2006
    Posts
    64
    Rep Power
    9

    Unhappy I built source code succefully, but

    But when I installed this zimbra which I built from source code, it required me password when starting zimbra services. But I only setup the passwd for the admin when I installed this source version. And I remember there is no passwd when I installed the binary version zimbra.

    What is the reason?

  2. #2
    Join Date
    Sep 2005
    Posts
    135
    Rep Power
    10

    Default sudoers

    zimbra should be a sudoer:

    Code:
    %zimbra   ALL=NOPASSWD:/opt/zimbra/openldap-2.3.21/libexec/slapd
    %zimbra   ALL=NOPASSWD:/opt/zimbra/postfix-2.2.9/sbin/postfix, /opt/zimbra/postfix-2.2.9/sbin/postalias, /opt/zimbra/postfix-2.2.9/sbin/qshape.pl, /opt/zimbra/postfix-2.2.9/sbin/postconf,/opt/zimbra/postfix-2.2.9/sbin/postsuper
    %zimbra   ALL=NOPASSWD:/opt/zimbra/libexec/zmqstat
    %zimbra ALL=NOPASSWD:/opt/zimbra/libexec/zmtomcatstart
    %zimbra ALL=NOPASSWD:/opt/zimbra/perdition/sbin/perdition

  3. #3
    Join Date
    Aug 2006
    Posts
    64
    Rep Power
    9

    Default

    Quote Originally Posted by adobrin
    zimbra should be a sudoer:

    Code:
    %zimbra   ALL=NOPASSWD:/opt/zimbra/openldap-2.3.21/libexec/slapd
    %zimbra   ALL=NOPASSWD:/opt/zimbra/postfix-2.2.9/sbin/postfix, /opt/zimbra/postfix-2.2.9/sbin/postalias, /opt/zimbra/postfix-2.2.9/sbin/qshape.pl, /opt/zimbra/postfix-2.2.9/sbin/postconf,/opt/zimbra/postfix-2.2.9/sbin/postsuper
    %zimbra   ALL=NOPASSWD:/opt/zimbra/libexec/zmqstat
    %zimbra ALL=NOPASSWD:/opt/zimbra/libexec/zmtomcatstart
    %zimbra ALL=NOPASSWD:/opt/zimbra/perdition/sbin/perdition
    The install.sh has setup this file by self. Because I used postfix-2.2.11,so it is different the source code 2.2.9, now I changed to 2.2.9, it never requires passwd.

Similar Threads

  1. Postfix problem
    By jimbo in forum Administrators
    Replies: 46
    Last Post: 07-23-2007, 05:24 AM
  2. Installation Problem
    By Ju-Pao in forum Installation Help
    Replies: 39
    Last Post: 05-15-2007, 02:54 PM
  3. Installs but won't start on Linux FC6
    By iain in forum General Questions
    Replies: 6
    Last Post: 03-29-2007, 10:19 AM
  4. 3.0 to 4.5.3 Upgrade failed (mysql error)
    By dealt in forum Installation
    Replies: 35
    Last Post: 03-19-2007, 10:30 PM
  5. M3 problem with shares
    By titangears in forum Users
    Replies: 4
    Last Post: 01-12-2006, 12:01 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •